Page MenuHomePhabricator

FF 35: hovercard conflicts with ad block extensions: doesn't disappear, and new hovercard don't pop up
Closed, ResolvedPublic

Description

How to reproduce:

use Firefox (using 35 here), enable hovercards and hover over a link.

Expected behavior: pop shows as long as you are on the link and disappears after some milliseconds.

Actual behavior: hovercard get stuck and doesn't disappear. New hovercards don't show.

Event Timeline

Matanya created this task.Jan 15 2015, 10:49 AM
Matanya assigned this task to Prtksxna.
Matanya raised the priority of this task from to Needs Triage.
Matanya updated the task description. (Show Details)
Matanya added a project: Page-Previews.
Matanya added a subscriber: Matanya.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2015, 10:49 AM
Prtksxna triaged this task as Unbreak Now! priority.Jan 15 2015, 10:49 AM
Prtksxna set Security to None.

I can reproduce the problem in Firefox 35 on F21 only with the "Adblock Plus" addon enabled in Firefox. Can someone confirm?

Confirmed. disabling adblock plus fixes the issue.

MC8 renamed this task from FF 35: hovercard doesn't disapper, and new hovercard don't pop up to FF 35: hovercard conflicts with ad block extensions: doesn't disappear, and new hovercard don't pop up.Jan 15 2015, 12:42 PM
Se4598 added a subscriber: Se4598.

this must be caused by a recent (<2 weeks?) change in FF, Adblock and/or MediaWiki (Popups, ..).

I suspect this is caused by a blocked request to https://bits.wikimedia.org/event.gif? [...] which blockage isn't handled nice in event tracking and/or popups code.

On leaving the hovercard a request is created (and appears as blocked in Adblock Plus), simultaneously Web Console gets a red x entry with message ":" only and location (via debug=true) at ext.eventLogging.core.js:222 (1.25wmf14) in the EventLogging-Extension.

Se4598 closed this task as Resolved.Jan 17 2015, 12:51 PM

closing as T86680 got fixed. Change has been deployed. I haven't seen that issue afterwards for me.

Quiddity moved this task from Backlog to Done on the Page-Previews board.Mar 28 2015, 1:16 AM